package com.gh.gamecenter.personal

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.R
import com.gh.gamecenter.common.utils.updateStatusBarColor

class DeliveryInfoActivity : ToolBarActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setNavigationTitle(R.string.delivery_info)
        updateStatusBarColor(R.color.background_white, R.color.background_white)
    }

    override fun onDarkModeChanged() {
        super.onDarkModeChanged()
        updateStatusBarColor(R.color.background_white, R.color.background_white)
    }

    companion object {
        fun getIntent(context: Context?): Intent? {
            return getTargetIntent(context, DeliveryInfoActivity::class.java, DeliveryInfoFragment::class.java)
        }
    }
}